> For the complete documentation index, see [llms.txt](https://api.dataloy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.dataloy.com/api-release-8.10/user-guides/accounting-integration-api/voyages.md).

# Voyages

## **Voyages**

### **Prerequisites**

No prerequisites.

### **Integration Set-Up**

Accounting systems often require voyage related data before transferring accounting related transactions. Set up a scheduled task and use the request under [Data Transaction](https://dataloy-cloud.atlassian.net/wiki/pages/resumedraft.action?draftId=923414837#AccountingIntegrationAPI-AccIntAPI1) to gather all voyages that has been modified since the last time a scheduled task was run.

### **Test Data**

Modify some existing voyages in the Booking and Operations module for testing, for example, changing a date in the schedule (***note**: changing dates will also affect the schedule for other voyages*).

### **Data Transaction**

To get new voyages in [Webhooks](/api-release-8.10/dataloy-rest-api/webhooks.md) the following subscription can be created:

```
{
"eventType": "U",
"user":
"objectType": "VoyageHeader",
"expression": "(oldDlpObject.getVoyageStatus() != null && oldDlpObject.getVoyageStatus().getStatusTypeCode().equals(\"EST\") && dlpObject.getVoyageStatus() != null && dlpObject.getVoyageStatus().getStatusTypeCode().equals(\"NOM\")) || (oldDlpObject.getReferenceNo() == null && dlpObject.getReferenceNo() != null && dlpObject.getVoyageStatus() != null && dlpObject.getVoyageStatus().getStatusTypeCode().equals(\"NOM\"))",
"url":
}
```

To get updated for all changes on a voyage the following webhook subscription can be created:

```
{
"eventType": "U",
"user":
"objectType": "VoyageHeader",
"url":
}
```

To extract all fixed voyages from Dataloy VMS that has been modified since a given date, use request below in conjunction with the base URL:

**Get all fixed voyages modified since given date**

```
GET /VoyageHeader?filter=modifiedDate(GTE)2014-01-01T12:30:00
```

### **Post Transaction**&#x20;

No post transaction is required.

##


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://api.dataloy.com/api-release-8.10/user-guides/accounting-integration-api/voyages.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
